<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="group">
    <name>gsi_driver</name>
    <title>Globus XIO GSI Driver</title>
    <filename>group__gsi__driver.html</filename>
    <subgroup>gsi_driver_instance</subgroup>
    <subgroup>gsi_driver_io</subgroup>
    <subgroup>gsi_driver_server</subgroup>
    <subgroup>gsi_driver_envs</subgroup>
    <subgroup>gsi_driver_cntls</subgroup>
    <subgroup>gsi_driver_types</subgroup>
    <subgroup>gsi_driver_errors</subgroup>
  </compound>
  <compound kind="group">
    <name>gsi_driver_instance</name>
    <title>Opening/Closing</title>
    <filename>group__gsi__driver__instance.html</filename>
  </compound>
  <compound kind="group">
    <name>gsi_driver_io</name>
    <title>Reading/Writing</title>
    <filename>group__gsi__driver__io.html</filename>
  </compound>
  <compound kind="group">
    <name>gsi_driver_server</name>
    <title>Server</title>
    <filename>group__gsi__driver__server.html</filename>
  </compound>
  <compound kind="group">
    <name>gsi_driver_envs</name>
    <title>Env Variables</title>
    <filename>group__gsi__driver__envs.html</filename>
  </compound>
  <compound kind="group">
    <name>gsi_driver_cntls</name>
    <title>Attributes and Cntls</title>
    <filename>group__gsi__driver__cntls.html</filename>
    <member kind="enumeration">
      <name>globus_xio_gsi_cmd_t</name>
      <anchor>a26</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_CREDENTIAL</name>
      <anchor>a26a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_CREDENTIAL</name>
      <anchor>a26a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_GSSAPI_REQ_FLAGS</name>
      <anchor>a26a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_GSSAPI_REQ_FLAGS</name>
      <anchor>a26a13</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_PROXY_MODE</name>
      <anchor>a26a14</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_PROXY_MODE</name>
      <anchor>a26a15</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_AUTHORIZATION_MODE</name>
      <anchor>a26a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_AUTHORIZATION_MODE</name>
      <anchor>a26a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_DELEGATION_MODE</name>
      <anchor>a26a18</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_DELEGATION_MODE</name>
      <anchor>a26a19</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_SSL_COMPATIBLE</name>
      <anchor>a26a20</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_ANON</name>
      <anchor>a26a21</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_WRAP_MODE</name>
      <anchor>a26a22</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_WRAP_MODE</name>
      <anchor>a26a23</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_BUFFER_SIZE</name>
      <anchor>a26a24</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_BUFFER_SIZE</name>
      <anchor>a26a25</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_PROTECTION_LEVEL</name>
      <anchor>a26a26</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_PROTECTION_LEVEL</name>
      <anchor>a26a27</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_TARGET_NAME</name>
      <anchor>a26a28</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_TARGET_NAME</name>
      <anchor>a26a29</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_CONTEXT</name>
      <anchor>a26a30</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_DELEGATED_CRED</name>
      <anchor>a26a31</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_PEER_NAME</name>
      <anchor>a26a32</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_LOCAL_NAME</name>
      <anchor>a26a33</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_INIT_DELEGATION</name>
      <anchor>a26a34</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_REGISTER_INIT_DELEGATION</name>
      <anchor>a26a35</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ACCEPT_DELEGATION</name>
      <anchor>a26a36</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_REGISTER_ACCEPT_DELEGATION</name>
      <anchor>a26a37</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_FORCE_SERVER_MODE</name>
      <anchor>a26a38</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>a0</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_CREDENTIAL, gss_cred_id_t credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchor>a1</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_SET_CREDENTIAL, gss_cred_id_t credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>a2</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_CREDENTIAL, gss_cred_id_t *credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchor>a3</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_GET_CREDENTIAL, gss_cred_id_t *credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>a4</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_GSSAPI_REQ_FLAGS, OM_uint32 req_flags)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>a5</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_GSSAPI_REQ_FLAGS, OM_uint32 *req_flags)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>a6</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_PROXY_MODE, globus_xio_gsi_proxy_mode_t proxy_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>a7</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_PROXY_MODE, globus_xio_gsi_proxy_mode_t *proxy_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>a8</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_AUTHORIZATION_MODE, globus_xio_gsi_authorization_mode_t authz_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>a9</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_AUTHORIZATION_MODE, globus_xio_gsi_authorization_mode_t *authz_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>a10</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_DELEGATION_MODE, globus_xio_gsi_delegation_mode_t delegation_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>a11</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_DELEGATION_MODE, globus_xio_gsi_delegation_mode_t *delegation_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>a7</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_FILE_SET_BLOCKING_IO, globus_bool_t use_blocking_io)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>a12</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_WRAP_MODE, globus_boolean_t wrap_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>a13</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_WRAP_MODE, globus_boolean_t *wrap_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>a14</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_BUFFER_SIZE, globus_size_t buffer_size)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>a15</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_BUFFER_SIZE, globus_size_t *buffer_size)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>a16</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_PROTECTION_LEVEL, globus_xio_gsi_protection_level_t protection_level)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>a17</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_PROTECTION_LEVEL, globus_xio_gsi_protection_level_t *protection_level)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>a18</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_TARGET_NAME, gss_name_t *target_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>a19</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_TARGET_NAME, gss_name_t target_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchor>a20</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_GET_CONTEXT, gss_ctx_id_t *context)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchor>a21</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_GET_PEER_NAME, gss_name_t *peer_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchor>a22</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_INIT_DELEGATION, gss_cred_id_t credential, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 time_req)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchor>a23</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_REGISTER_INIT_DELEGATION, gss_cred_id_t credential, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 time_req, globus_xio_gsi_delegation_init_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchor>a24</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_ACCEPT_DELEGATION, gss_cred_id_t *credential, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 time_req)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchor>a25</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_REGISTER_ACCEPT_DELEGATION, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 time_req, globus_xio_gsi_delegation_accept_callback_t callback, void *callback_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>gsi_driver_types</name>
    <title>Types</title>
    <filename>group__gsi__driver__types.html</filename>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_xio_gsi_delegation_init_callback_t</name>
      <anchor>a0</anchor>
      <arglist>)(globus_result_t result, void *user_arg)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_xio_gsi_delegation_accept_callback_t</name>
      <anchor>a1</anchor>
      <arglist>)(globus_result_t result, gss_cred_id_t delegated_cred, OM_uint32 time_rec, void *user_arg)</arglist>
    </member>
    <member kind="enumeration">
      <name>globus_xio_gsi_protection_level_t</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROTECTION_LEVEL_NONE</name>
      <anchor>a2a39</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROTECTION_LEVEL_INTEGRITY</name>
      <anchor>a2a40</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROTECTION_LEVEL_PRIVACY</name>
      <anchor>a2a41</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_xio_gsi_delegation_mode_t</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_DELEGATION_MODE_NONE</name>
      <anchor>a3a42</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_DELEGATION_MODE_LIMITED</name>
      <anchor>a3a43</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_DELEGATION_MODE_FULL</name>
      <anchor>a3a44</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_xio_gsi_proxy_mode_t</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROXY_MODE_FULL</name>
      <anchor>a4a45</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROXY_MODE_LIMITED</name>
      <anchor>a4a46</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROXY_MODE_MANY</name>
      <anchor>a4a47</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_xio_gsi_authorization_mode_t</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_NO_AUTHORIZATION</name>
      <anchor>a5a48</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SELF_AUTHORIZATION</name>
      <anchor>a5a49</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_IDENTITY_AUTHORIZATION</name>
      <anchor>a5a50</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_HOST_AUTHORIZATION</name>
      <anchor>a5a51</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>gsi_driver_errors</name>
    <title>Error Types</title>
    <filename>group__gsi__driver__errors.html</filename>
    <member kind="enumeration">
      <name>globus_xio_gsi_error_t</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ERROR_INVALID_PROTECTION_LEVEL</name>
      <anchor>a0a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ERROR_WRAP_GSSAPI</name>
      <anchor>a0a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ERROR_EMPTY_TARGET_NAME</name>
      <anchor>a0a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ERROR_EMPTY_HOST_NAME</name>
      <anchor>a0a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_AUTHORIZATION_FAILED</name>
      <anchor>a0a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ERROR_TOKEN_TOO_BIG</name>
      <anchor>a0a9</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
